org.eclipse.microprofile.metrics.tck.metrics

## Class SimplyTimedClassBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.SimplyTimedClassBean

    @ApplicationScoped
     @SimplyTimed(name="simplyTimedClass")
    public class SimplyTimedClassBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SimplyTimedClassBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `simplyTimedMethodOne()`
`protected void` `simplyTimedMethodProtected()`
`void` `simplyTimedMethodTwo()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimplyTimedClassBean

    public SimplyTimedClassBean()

### Method Detail

#### simplyTimedMethodOne

    public void simplyTimedMethodOne()

#### simplyTimedMethodTwo

    public void simplyTimedMethodTwo()

#### simplyTimedMethodProtected

    protected void simplyTimedMethodProtected()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`